/***********************************************************************
*                        Wire bendator simulator                       *
*             Created by Jules Topart during Fabacademy                *
*                                                                      *
************************************************************************/

final boolean debug = true;

ArrayList<Bend> bendlist;

Bend actual;

int knobLengthValue = 100;
float extrusion_length, bend_angle, rotate_angle;
float currentAngle = 0, currentBend = 0;
float speedAngle = 5;

final float rightPos = -PI/6;
final float lefttPos = PI/6;
float shaftpos = rightPos;

void setup(){
  size(1080,720,P3D);
  
  initControl();
  initGUI();
  initGL();
  

  actual = new Bend(0,0,0);
  bendlist = new ArrayList<Bend>();
}

void draw(){
  background(52);
  drawGL();
}
