import controlP5.*;

ControlP5 cp5;

void initGUI(){
  
  cp5 = new ControlP5(this);

  cp5.addNumberbox("extrusion_length")
     .setCaptionLabel("Bend angle")
     .setPosition(50,50)
     .setSize(100,14)
     .setScrollSensitivity(1.1)
     .setValue(10);
  
  cp5.addNumberbox("bend_angle")
   .setCaptionLabel("Bend angle")
   .setPosition(200,50)
   .setSize(100,14)
   .setScrollSensitivity(1.1)
   .setValue(90);

  cp5.addNumberbox("rotate_angle")
   .setCaptionLabel("Rotate angle")
   .setPosition(350,50)
   .setSize(100,14)
   .setScrollSensitivity(1.1)
   .setValue(0);
   
   cp5.addButton("Extrude")
   .setValue(0)
   .setPosition(50,100)
   .setSize(100,19);

  cp5.addButton("Bend")
   .setValue(0)
   .setPosition(200,100)
   .setSize(100,19);
   
  cp5.addButton("Rotate")
   .setValue(0)
   .setPosition(350,100)
   .setSize(100,19);

}


public void controlEvent(ControlEvent theEvent) {
  if(theEvent.getController().getName() == "Bend"){
    actual.SetAngle(actual.GetAngle() + int(bend_angle));
  }else if(theEvent.getController().getName() == "Extrude"){
    bendlist.add(new Bend(actual.GetLength(), actual.GetRotation(), actual.GetAngle()));
    actual.SetLength(int(extrusion_length));
    actual.SetAngle(0);
    actual.SetRotation(0);
    currentBend = actual.GetAngle(); currentAngle = actual.GetAngle();
    
  }else if(theEvent.getController().getName() == "Rotate"){
    actual.SetRotation(int(rotate_angle));
  }
}
